[JAVA3D-660] Compatibility with JOGL v. 2 Created: 26/Mar/11  Updated: 06/Aug/13

Status: Open
Project: java3d
Component/s: j3d-core
Affects Version/s: 1.5.2, current, 1.6.0
Fix Version/s: None

Type: Bug Priority: Major
Reporter: schnied Assignee: Unassigned
Resolution: Unresolved Votes: 0
Labels: None
Remaining Estimate: 4 weeks
Time Spent: Not Specified
Original Estimate: 4 weeks
Environment:

All


Tags: gluegen, jocl, jogl

 Description   

Java developers are increasingly interested in using OpenCL - this will require compatibility between Java3D and Gluegen, JOGL and JOCL.

For example, Java3D 1.5.2 and 1.6.0 depend on the following JOGL v. 1.1.1 class:
javax/media/opengl/AbstractGraphicsDevice

However, this class has been replaced in JOGL v.2 by:
javax/media/nativewindow/AbstractGraphicsDevice



 Comments   
Comment by harveyh [ 06/Aug/13 ]

Java3d has been ported to use JOGL2 as the backend, code can be found here:

https://github.com/hharrison/vecmath
https://github.com/hharrison/java3d-core
https://github.com/hharrison/java3d-utils

You can get prebuilt jars from here:

http://jogamp.org/deployment/java3d/1.6.0-pre8/

There's a forum at forum.jogamp.org is you have any questions.

Harvey

Generated at Sat Jul 04 07:11:32 UTC 2015 using JIRA 6.2.3#6260-sha1:63ef1d6dac3f4f4d7db4c1effd405ba38ccdc558.